# VectorNav C++ Library: vn::sensors::ReferenceVectorConfigurationRegister Struct Reference

vn::sensors::ReferenceVectorConfigurationRegister Struct Reference
Register Structures

Structure representing the Reference Vector Configuration register. More...

`#include <registers.h>`

## Public Member Functions

| ReferenceVectorConfigurationRegister (bool useMagModelIn, bool useGravityModelIn, uint32_t recalcThresholdIn, float yearIn, vn::math::vec3d positionIn)
| Creates an initializes a new ReferenceVectorConfigurationRegister structure. More...

## Public Attributes

bool | useMagModel
| The useMagModel field.
bool | useGravityModel
| The useGravityModel field.
uint32_t | recalcThreshold
| The recalcThreshold field.
float | year
| The year field.
vn::math::vec3d | position
| The position field.

## Detailed Description

Structure representing the Reference Vector Configuration register.

## Constructor & Destructor Documentation

vn::sensors::ReferenceVectorConfigurationRegister::ReferenceVectorConfigurationRegister | ( | bool | useMagModelIn,
|  | bool | useGravityModelIn,
|  | uint32_t | recalcThresholdIn,
|  | float | yearIn,
|  | vn::math::vec3d | positionIn
| ) |  |

inline

Creates an initializes a new ReferenceVectorConfigurationRegister structure.

Parameters

  [in] | useMagModelIn | Value to initialize the useMagModel field with.
  [in] | useGravityModelIn | Value to initialize the useGravityModel field with.
  [in] | recalcThresholdIn | Value to initialize the recalcThreshold field with.
  [in] | yearIn | Value to initialize the year field with.
  [in] | positionIn | Value to initialize the position field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h